This discussion is archived
2 Replies Latest reply: Dec 19, 2012 2:05 PM by orafad RSS

Which oracle client works with both Oracle 11.2.0.2 and BizTalk 2006 R2

975701 Newbie
Currently Being Moderated
Hi there

My Oracle11.2.0.2 is installed on linux server. My Biztalk2006R2 is installed on Windows Server 2003 R2 x64. I have already installed BizTalk Adapter for Oracle on the Biztalk server and now require to install Oracle Client to make Biztalk able to retrieve data from Oracle11.2.0.2 using the oracle client.

From the following link,
http://msdn.microsoft.com/en-us/library/aa559822%28v=BTS.20%29.aspx

I came to know that the only oracle clients compatible with Biztalk adapter for oracle are as below:
1) Oracle client 8i
2) oracle client 9i
3) oracle client 10i

Now I need to install an oracle client on biztalk server in order to make biztalk talk to oracle and retrieve data from it.
Question1: which of the above clients should i install on biztalk server that is compatible with both Oracle11.2.0.2 as well as Biztalk server 2006 R2?
Question2: How to install and configure this client to make it work correctly?

Please help.. thanks.

Edited by: manibest on 19-Dec-2012 03:27

Edited by: manibest on 19-Dec-2012 03:27
  • 1. Re: Which oracle client works with both Oracle 11.2.0.2 and BizTalk 2006 R2
    Tridus Journeyer
    Currently Being Moderated
    The 10g (there is no such thing as 10i) client can talk to an 11 server, so that's going to be the one you want since Biztalk also supports it. You're probably going to have to ask on a Biztalk forum for help setting that up if it's anything beyond "create an ODBC connection".
  • 2. Re: Which oracle client works with both Oracle 11.2.0.2 and BizTalk 2006 R2
    orafad Oracle ACE
    Currently Being Moderated
    The Biztalk Adapter interface with Oracle software has information, requirements per referenced document that does not make sense.
    E.g. "10i" does not exist and the requirement "Oracle ODBC driver 9.2.0.5.4" means that only 9.2 Client can be used. (Mixing parts from one Database Client product version with another version is not allowed/supported/certified.)

    Btw, does that machine happen to have Itanium hardware? (probably no, since you stated x64)

    For Oracle's OS requirements, 2003 was certified with/from 9.2.0.3 (and likely also terminal patch set version 9.2.0.8). Not sure about Server 2003 R2, 32 or 64-bit. I'm pretty sure 10.2 was certified on 2003 R2, but the note likely refers to 10.1 versions (before it was known it would be labeled 10g, g for grid replacing the i ).

    This FAQ may have some more information: http://www.oracle.com/technetwork/database/windows/faq-100614.html


    For Oracle client - server interoperability and certification, there's a support matrix on MOS. See doc id 207303.1.
    It seems 9.2 is supported on the wire to operate with 11.2 server, but Client with at least patch set 9.2.0.4 is required.

    So, I guess best bet is to find updated requirements.

    If you manage to get hold of 9.2.0.5, after verifying that 2003 R2 is ok, then it looks like the puzzle could be put together for a complete picture.


    For ease of install, take a look at the Instant Client. (However, there's no 9.2 IC, that type of client install came later)
    http://www.oracle.com/technetwork/database/features/instant-client/index-097480.html

    Edit;
    some corrections, specially about 9.2 version

    Edited by: orafad on Dec 19, 2012 10:58 PM

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points